Foi disponibilizada para download uma versão “pré-alfa” do Fennec para o Android. Ela requer Android 2.0 ou superior e provavelmente um dispositivo compatível com OpenGL ES 2.0.

Os desenvolvedores fizeram testes apenas no Droid (Milestone) e no Nexus One e, apesar de reforçarem que se trata de uma versão prematura, consideram-na usável e esperam feedback dos usuários. [Download via Vlad1]